searchData={"items":[{"type":"module","title":"GoogleApi.RealTimeBidding.V1","doc":"API client metadata for GoogleApi.RealTimeBidding.V1.","ref":"GoogleApi.RealTimeBidding.V1.html"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.discovery_revision/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders","doc":"API calls for all endpoints tagged `Bidders`.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_creatives_list/4","doc":"Lists creatives as they are at the time of the initial request. This call may take multiple hours to complete. For large, paginated requests, this method returns a snapshot of creatives at the time of request for the first page. `lastStatusUpdate` and `creativeServingDecision` may be outdated for creatives on sequential pages. We recommend [Google Cloud Pub/Sub](//cloud.google.com/pubsub/docs/overview) to view the latest status.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_creatives_list/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_creatives_list/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent buyer that owns the creatives. The pattern for this resource is either `buyers/{buyerAccountId}` or `bidders/{bidderAccountId}`. For `buyers/{buyerAccountId}`, the `buyerAccountId` can be one of the following: 1. The ID of the buyer that is accessing their own creatives. 2. The ID of the child seat buyer under a bidder account. So for listing creatives pertaining to the child seat buyer (`456`) under bidder account (`123`), you would use the pattern: `buyers/456`. 3. The ID of the bidder itself. So for listing creatives pertaining to bidder (`123`), you would use `buyers/123`. If you want to access all creatives pertaining to both the bidder and all of its child seat accounts, you would use `bidders/{bidderAccountId}`, for example, for all creatives pertaining to bidder (`123`), use `bidders/123`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Query string to filter creatives. If no filter is specified, all active creatives will be returned. Example: 'accountId=12345 AND (dealsStatus:DISAPPROVED AND disapprovalReason:UNACCEPTABLE_CONTENT) OR declaredAttributes:IS_COOKIE_TARGETED'\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The server may return fewer creatives than requested (due to timeout constraint) even if more are available through another call. If unspecified, server will pick an appropriate default. Acceptable values are 1 to 1000, inclusive.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server should return. Typically, this is the value of ListCreativesResponse.nextPageToken returned from the previous call to the 'ListCreatives' method. Page tokens for continued pages are valid for up to five hours, counting from the call to 'ListCreatives' for the first page.\n    *   `:view` (*type:* `String.t`) - Controls the amount of information included in the response. By default only creativeServingDecision is included. To retrieve the entire creative resource (including the declared fields and the creative content) specify the view as \"FULL\".\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_creatives_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_creatives_list/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_creatives_list/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_creatives_watch/4","doc":"Watches all creatives pertaining to a bidder. It is sufficient to invoke this endpoint once per bidder. A Pub/Sub topic will be created and notifications will be pushed to the topic when any of the bidder's creatives change status. All of the bidder's service accounts will have access to read from the topic. Subsequent invocations of this method will return the existing Pub/Sub configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_creatives_watch/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_creatives_watch/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. To watch all creatives pertaining to the bidder and all its child seat accounts, the bidder must follow the pattern `bidders/{bidderAccountId}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_creatives_watch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_creatives_watch/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_creatives_watch/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_get/4","doc":"Gets a bidder endpoint by its name.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_get/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_get/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the bidder endpoint to get. Format: `bidders/{bidderAccountId}/endpoints/{endpointId}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_get/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Endpoint{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_get/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_list/4","doc":"Lists all the bidder's endpoints.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_list/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_list/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the bidder whose endpoints will be listed. Format: `bidders/{bidderAccountId}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of endpoints to return. If unspecified, at most 100 endpoints will be returned. The maximum value is 500; values above 500 will be coerced to 500.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server should return. This value is received from a previous `ListEndpoints` call in ListEndpointsResponse.nextPageToken.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_list/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_list/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_patch/4","doc":"Updates a bidder's endpoint.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_patch/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_patch/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Name of the endpoint resource that must follow the pattern `bidders/{bidderAccountId}/endpoints/{endpointId}`, where {bidderAccountId} is the account ID of the bidder who operates this endpoint, and {endpointId} is a unique ID assigned by the server.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Field mask to use for partial in-place updates.\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Endpoint.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_endpoints_patch/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Endpoint{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_endpoints_patch/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_get/4","doc":"Gets a bidder account by its name.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_get/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_get/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the bidder to get. Format: `bidders/{bidderAccountId}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_get/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Bidder{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_get/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_list/3","doc":"Lists all the bidder accounts that belong to the caller.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_list/3"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_list/3","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of bidders to return. If unspecified, at most 100 bidders will be returned. The maximum value is 500; values above 500 will be coerced to 500.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server should return. This value is received from a previous `ListBidders` call in ListBiddersResponse.nextPageToken.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_list/3","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_list/3-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_activate/4","doc":"Activates a pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_activate/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_activate/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_activate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_activate/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_activate/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_apps/4","doc":"Adds targeted apps to the pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_apps/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_apps/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `pretargeting_config` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_apps/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_apps/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_apps/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_publishers/4","doc":"Adds targeted publishers to the pretargeting config.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_publishers/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_publishers/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `pretargeting_config` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_publishers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_publishers/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_publishers/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_sites/4","doc":"Adds targeted sites to the pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_sites/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_sites/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `pretargeting_config` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_sites/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_add_targeted_sites/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_add_targeted_sites/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_create/4","doc":"Creates a pretargeting configuration. A pretargeting configuration's state (PretargetingConfig.state) is active upon creation, and it will start to affect traffic shortly after. A bidder may create a maximum of 10 pretargeting configurations. Attempts to exceed this maximum results in a 400 bad request error.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the bidder to create the pretargeting configuration for. Format: bidders/{bidderAccountId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_create/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_create/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_delete/4","doc":"Deletes a pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the pretargeting configuration to delete. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_delete/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_get/4","doc":"Gets a pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the pretargeting configuration to get. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_get/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_get/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_list/4","doc":"Lists all pretargeting configurations for a single bidder.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the bidder whose pretargeting configurations will be listed. Format: bidders/{bidderAccountId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of pretargeting configurations to return. If unspecified, at most 10 pretargeting configurations will be returned. The maximum value is 100; values above 100 will be coerced to 100.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server should return. This value is received from a previous `ListPretargetingConfigs` call in ListPretargetingConfigsResponse.nextPageToken.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_list/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_list/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_patch/4","doc":"Updates a pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Name of the pretargeting configuration that must follow the pattern `bidders/{bidder_account_id}/pretargetingConfigs/{config_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Field mask to use for partial in-place updates.\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_patch/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_apps/4","doc":"Removes targeted apps from the pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_apps/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_apps/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `pretargeting_config` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_apps/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_apps/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_apps/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_publishers/4","doc":"Removes targeted publishers from the pretargeting config.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_publishers/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_publishers/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `pretargeting_config` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_publishers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_publishers/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_publishers/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_sites/4","doc":"Removes targeted sites from the pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_sites/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_sites/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `pretargeting_config` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_sites/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_remove_targeted_sites/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_remove_targeted_sites/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_suspend/4","doc":"Suspends a pretargeting configuration.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_suspend/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_suspend/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_suspend/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_pretargeting_configs_suspend/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_pretargeting_configs_suspend/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_batch_approve/4","doc":"Batch approves multiple publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_batch_approve/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_batch_approve/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The bidder for whom publisher connections will be approved. Format: `bidders/{bidder}` where `{bidder}` is the account ID of the bidder.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_batch_approve/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_batch_approve/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_batch_approve/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_batch_reject/4","doc":"Batch rejects multiple publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_batch_reject/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_batch_reject/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The bidder for whom publisher connections will be rejected. Format: `bidders/{bidder}` where `{bidder}` is the account ID of the bidder.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_batch_reject/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_batch_reject/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_batch_reject/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_get/4","doc":"Gets a publisher connection.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_get/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_get/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the publisher whose connection information is to be retrieved. In the pattern `bidders/{bidder}/publisherConnections/{publisher}` where `{bidder}` is the account ID of the bidder, and `{publisher}` is the ads.txt/app-ads.txt publisher ID. See publisherConnection.name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_get/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.PublisherConnection{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_get/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_list/4","doc":"Lists publisher connections for a given bidder.","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_list/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_list/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the bidder for which publishers have initiated connections. The pattern for this resource is `bidders/{bidder}` where `{bidder}` represents the account ID of the bidder.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Query string to filter publisher connections. Connections can be filtered by `displayName`, `publisherPlatform`, and `biddingState`. If no filter is specified, all publisher connections will be returned. Example: 'displayName=\"Great Publisher*\" AND publisherPlatform=ADMOB AND biddingState != PENDING' See https://google.aip.dev/160 for more information about filtering syntax.\n    *   `:orderBy` (*type:* `String.t`) - Order specification by which results should be sorted. If no sort order is specified, the results will be returned in alphabetic order based on the publisher's publisher code. Results can be sorted by `createTime`. Example: 'createTime DESC'.\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The server may return fewer results than requested (due to timeout constraint) even if more are available through another call. If unspecified, the server will pick an appropriate default. Acceptable values are 1 to 5000, inclusive.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server should return. Typically, this is the value of ListPublisherConnectionsResponse.nextPageToken returned from the previous call to the 'ListPublisherConnections' method.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Bidders.realtimebidding_bidders_publisher_connections_list/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Bidders.html#realtimebidding_bidders_publisher_connections_list/4-returns"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers","doc":"API calls for all endpoints tagged `Buyers`.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_create/4","doc":"Creates a creative.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_create/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_create/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent buyer that the new creative belongs to that must follow the pattern `buyers/{buyerAccountId}`, where `{buyerAccountId}` represents the account ID of the buyer who owns a creative. For a bidder accessing creatives on behalf of a child seat buyer, `{buyerAccountId}` should represent the account ID of the child seat buyer.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Creative.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_create/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Creative{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_create/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_get/4","doc":"Gets a creative.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_get/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_get/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the creative to retrieve. See creative.name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:view` (*type:* `String.t`) - Controls the amount of information included in the response. By default only creativeServingDecision is included. To retrieve the entire creative resource (including the declared fields and the creative content) specify the view as \"FULL\".\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_get/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Creative{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_get/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_list/4","doc":"Lists creatives as they are at the time of the initial request. This call may take multiple hours to complete. For large, paginated requests, this method returns a snapshot of creatives at the time of request for the first page. `lastStatusUpdate` and `creativeServingDecision` may be outdated for creatives on sequential pages. We recommend [Google Cloud Pub/Sub](//cloud.google.com/pubsub/docs/overview) to view the latest status.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_list/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_list/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent buyer that owns the creatives. The pattern for this resource is either `buyers/{buyerAccountId}` or `bidders/{bidderAccountId}`. For `buyers/{buyerAccountId}`, the `buyerAccountId` can be one of the following: 1. The ID of the buyer that is accessing their own creatives. 2. The ID of the child seat buyer under a bidder account. So for listing creatives pertaining to the child seat buyer (`456`) under bidder account (`123`), you would use the pattern: `buyers/456`. 3. The ID of the bidder itself. So for listing creatives pertaining to bidder (`123`), you would use `buyers/123`. If you want to access all creatives pertaining to both the bidder and all of its child seat accounts, you would use `bidders/{bidderAccountId}`, for example, for all creatives pertaining to bidder (`123`), use `bidders/123`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Query string to filter creatives. If no filter is specified, all active creatives will be returned. Example: 'accountId=12345 AND (dealsStatus:DISAPPROVED AND disapprovalReason:UNACCEPTABLE_CONTENT) OR declaredAttributes:IS_COOKIE_TARGETED'\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The server may return fewer creatives than requested (due to timeout constraint) even if more are available through another call. If unspecified, server will pick an appropriate default. Acceptable values are 1 to 1000, inclusive.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server should return. Typically, this is the value of ListCreativesResponse.nextPageToken returned from the previous call to the 'ListCreatives' method. Page tokens for continued pages are valid for up to five hours, counting from the call to 'ListCreatives' for the first page.\n    *   `:view` (*type:* `String.t`) - Controls the amount of information included in the response. By default only creativeServingDecision is included. To retrieve the entire creative resource (including the declared fields and the creative content) specify the view as \"FULL\".\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_list/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_list/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_patch/4","doc":"Updates a creative.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_patch/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_patch/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Name of the creative. Follows the pattern `buyers/{buyer}/creatives/{creative}`, where `{buyer}` represents the account ID of the buyer who owns the creative, and `{creative}` is the buyer-specific creative ID that references this creative in the bid response.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Field mask to use for partial in-place updates.\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Creative.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_creatives_patch/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Creative{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_creatives_patch/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_get/4","doc":"Gets a buyer account by its name.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_get/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_get/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the buyer to get. Format: `buyers/{buyerId}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_get/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.Buyer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_get/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_get_remarketing_tag/4","doc":"This has been sunset as of October 2023, and will return an error response if called. For more information, see the release notes: https://developers.google.com/authorized-buyers/apis/relnotes#real-time-bidding-api Gets remarketing tag for a buyer. A remarketing tag is a piece of JavaScript code that can be placed on a web page. When a user visits a page containing a remarketing tag, Google adds the user to a user list.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_get_remarketing_tag/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_get_remarketing_tag/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. To fetch the remarketing tag for an account, the name must follow the pattern `buyers/{accountId}`, where `{accountId}` represents the ID of the buyer that owns the remarketing tag. For a bidder accessing the remarketing tag on behalf of a child seat buyer, `{accountId}` should represent the ID of the child seat buyer. To fetch the remarketing tag for a specific user list, the name must follow the pattern `buyers/{accountId}/userLists/{userListId}`. See UserList.name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_get_remarketing_tag/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_get_remarketing_tag/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_get_remarketing_tag/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_list/3","doc":"Lists all buyer account information the calling buyer user or service account is permissioned to manage.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_list/3"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_list/3","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of buyers to return. If unspecified, at most 100 buyers will be returned. The maximum value is 500; values above 500 will be coerced to 500.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server should return. This value is received from a previous `ListBuyers` call in ListBuyersResponse.nextPageToken.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_list/3","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_list/3-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_close/4","doc":"Changes the status of a user list to CLOSED. This prevents new users from being added to the user list.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_close/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_close/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the user list to close. See UserList.name\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_close/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_close/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.UserList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_close/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_create/4","doc":"Creates a new user list.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_create/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_create/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent buyer of the user list to be retrieved, which must follow the pattern `buyers/{buyerAccountId}`, where `{buyerAccountId}` represents the account ID of the buyer who owns the user list. For a bidder accessing user lists on behalf of a child seat buyer, `{buyerAccountId}` should represent the account ID of the child seat buyer.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.UserList.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_create/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.UserList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_create/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_get/4","doc":"Gets a user list by its name.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_get/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_get/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the user list to be retrieved. See UserList.name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_get/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.UserList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_get/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_get_remarketing_tag/4","doc":"This has been sunset as of October 2023, and will return an error response if called. For more information, see the release notes: https://developers.google.com/authorized-buyers/apis/relnotes#real-time-bidding-api Gets remarketing tag for a buyer. A remarketing tag is a piece of JavaScript code that can be placed on a web page. When a user visits a page containing a remarketing tag, Google adds the user to a user list.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_get_remarketing_tag/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_get_remarketing_tag/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. To fetch the remarketing tag for an account, the name must follow the pattern `buyers/{accountId}`, where `{accountId}` represents the ID of the buyer that owns the remarketing tag. For a bidder accessing the remarketing tag on behalf of a child seat buyer, `{accountId}` should represent the ID of the child seat buyer. To fetch the remarketing tag for a specific user list, the name must follow the pattern `buyers/{accountId}/userLists/{userListId}`. See UserList.name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_get_remarketing_tag/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_get_remarketing_tag/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_get_remarketing_tag/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_list/4","doc":"Lists the user lists visible to the current user.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_list/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_list/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent buyer for the user lists to be returned that must follow the pattern `buyers/{buyerAccountId}`, where `{buyerAccountId}` represents the account ID of the buyer who owns user lists. For a bidder accessing user lists on behalf of a child seat buyer , `{buyerAccountId}` should represent the account ID of the child seat buyer.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The number of results to return per page.\n    *   `:pageToken` (*type:* `String.t`) - Continuation page token as received from a previous response.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_list/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_list/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_open/4","doc":"Changes the status of a user list to OPEN. This allows new users to be added to the user list.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_open/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_open/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the user list to open. See UserList.name\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_open/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_open/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.UserList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_open/4-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_update/4","doc":"Updates the given user list. Only user lists with URLRestrictions can be updated.","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_update/4"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_update/4","doc":"*   `connection` (*type:* `GoogleApi.RealTimeBidding.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Name of the user list that must follow the pattern `buyers/{buyer}/userLists/{user_list}`, where `{buyer}` represents the account ID of the buyer who owns the user list. For a bidder accessing user lists on behalf of a child seat buyer, `{buyer}` represents the account ID of the child seat buyer. `{user_list}` is an int64 identifier assigned by Google to uniquely identify a user list.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.RealTimeBidding.V1.Model.UserList.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Api.Buyers.realtimebidding_buyers_user_lists_update/4","doc":"*   `{:ok, %GoogleApi.RealTimeBidding.V1.Model.UserList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.RealTimeBidding.V1.Api.Buyers.html#realtimebidding_buyers_user_lists_update/4-returns"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Connection","doc":"Handle Tesla connections for GoogleApi.RealTimeBidding.V1.","ref":"GoogleApi.RealTimeBidding.V1.Connection.html"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.RealTimeBidding.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.RealTimeBidding.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.RealTimeBidding.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.RealTimeBidding.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Connection.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest","doc":"A request to activate a pretargeting configuration. Sets the configuration's state to ACTIVE.","ref":"GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ActivatePretargetingConfigRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders","doc":"The list of detected Ad Technology Providers for this creative. Bids placed for inventory that will serve to EEA or UK users are expected to comply with GDPR requirements. You must ensure that the creatives used in such bids should contain only user consented ad technology providers as indicated in the bid request. Google reserves the right to filter non-compliant bids. User consented ad technology providers can be found in the [Google Protocol](https://developers.google.com/authorized-buyers/rtb/downloads/realtime-bidding-proto) with the `BidRequest.adslot.consented_providers_settings` field, and can be found as an [OpenRTB extension](https://developers.google.com/authorized-buyers/rtb/downloads/openrtb-adx-proto) with the `BidRequest.user.ext.consented_providers_settings` and `BidRequest.user.ext.consent` fields. See https://support.google.com/authorizedbuyers/answer/9789378 for additional information about the Google TCF v2 integration.","ref":"GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders","doc":"*   `detectedGvlIds` (*type:* `list(String.t)`, *default:* `nil`) - The detected IAB Global Vendor List (GVL) IDs for this creative. See the IAB Global Vendor List at https://vendor-list.consensu.org/v2/vendor-list.json for details about the vendors.\n*   `detectedProviderIds` (*type:* `list(String.t)`, *default:* `nil`) - The detected [Google Ad Tech Providers (ATP)](https://support.google.com/admanager/answer/9012903) for this creative. See https://storage.googleapis.com/adx-rtb-dictionaries/providers.csv for mapping of provider ID to provided name, a privacy policy URL, and a list of domains which can be attributed to the provider.\n*   `unidentifiedProviderDomains` (*type:* `list(String.t)`, *default:* `nil`) - Domains of detected unidentified ad technology providers (if any). You must ensure that the creatives used in bids placed for inventory that will serve to EEA or UK users does not contain unidentified ad technology providers. Google reserves the right to filter non-compliant bids.","ref":"GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest","doc":"A request to start targeting the provided app IDs in a specific pretargeting configuration. The pretargeting configuration itself specifies how these apps are targeted. in PretargetingConfig.appTargeting.mobileAppTargeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest","doc":"*   `appIds` (*type:* `list(String.t)`, *default:* `nil`) - A list of app IDs to target in the pretargeting configuration. These values will be added to the list of targeted app IDs in PretargetingConfig.appTargeting.mobileAppTargeting.values.\n*   `targetingMode` (*type:* `String.t`, *default:* `nil`) - Required. The targeting mode that should be applied to the list of app IDs. If there are existing targeted app IDs, must be equal to the existing PretargetingConfig.appTargeting.mobileAppTargeting.targetingMode or a 400 bad request error will be returned.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedAppsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest","doc":"A request to start targeting the provided publishers in a specific pretargeting configuration. The pretargeting configuration itself specifies how these publishers are targeted in PretargetingConfig.publisherTargeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest","doc":"*   `publisherIds` (*type:* `list(String.t)`, *default:* `nil`) - A list of publisher IDs to target in the pretargeting configuration. These values will be added to the list of targeted publisher IDs in PretargetingConfig.publisherTargeting.values. Publishers are identified by their publisher ID from ads.txt / app-ads.txt. See https://iabtechlab.com/ads-txt/ and https://iabtechlab.com/app-ads-txt/ for more details.\n*   `targetingMode` (*type:* `String.t`, *default:* `nil`) - Required. The targeting mode that should be applied to the list of publisher IDs. If are existing publisher IDs, must be equal to the existing PretargetingConfig.publisherTargeting.targetingMode or a 400 bad request error will be returned.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedPublishersRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest","doc":"A request to start targeting the provided sites in a specific pretargeting configuration. The pretargeting configuration itself specifies how these sites are targeted in PretargetingConfig.webTargeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest","doc":"*   `sites` (*type:* `list(String.t)`, *default:* `nil`) - A list of site URLs to target in the pretargeting configuration. These values will be added to the list of targeted URLs in PretargetingConfig.webTargeting.values.\n*   `targetingMode` (*type:* `String.t`, *default:* `nil`) - Required. The targeting mode that should be applied to the list of site URLs. If there are existing targeted sites, must be equal to the existing PretargetingConfig.webTargeting.targetingMode or a 400 bad request error will be returned.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.AddTargetedSitesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand","doc":"Detected advertiser and brand information.","ref":"GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand","doc":"*   `advertiserId` (*type:* `String.t`, *default:* `nil`) - See https://storage.googleapis.com/adx-rtb-dictionaries/advertisers.txt for the list of possible values. Can be used to filter the response of the creatives.list method.\n*   `advertiserName` (*type:* `String.t`, *default:* `nil`) - Advertiser name. Can be used to filter the response of the creatives.list method.\n*   `brandId` (*type:* `String.t`, *default:* `nil`) - Detected brand ID or zero if no brand has been detected. See https://storage.googleapis.com/adx-rtb-dictionaries/brands.txt for the list of possible values. Can be used to filter the response of the creatives.list method.\n*   `brandName` (*type:* `String.t`, *default:* `nil`) - Brand name. Can be used to filter the response of the creatives.list method.","ref":"GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.AppTargeting","doc":"A subset of app inventory to target. Bid requests that match criteria in at least one of the specified dimensions will be sent.","ref":"GoogleApi.RealTimeBidding.V1.Model.AppTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.AppTargeting","doc":"*   `mobileAppCategoryTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.t`, *default:* `nil`) - Lists of included and excluded mobile app categories as defined in https://developers.google.com/adwords/api/docs/appendix/mobileappcategories.csv.\n*   `mobileAppTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.t`, *default:* `nil`) - Targeted app IDs. App IDs can refer to those found in an app store or ones that are not published in an app store. A maximum of 30,000 app IDs can be targeted.","ref":"GoogleApi.RealTimeBidding.V1.Model.AppTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.AppTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.AppTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.AppTargeting.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.AppTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest","doc":"A request to approve a batch of publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - Required. The names of the publishers with which connections will be approved. In the pattern `bidders/{bidder}/publisherConnections/{publisher}` where `{bidder}` is the account ID of the bidder, and `{publisher}` is the ads.txt/app-ads.txt publisher ID.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse","doc":"A response for the request to approve a batch of publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse","doc":"*   `publisherConnections` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.t)`, *default:* `nil`) - The publisher connections that have been approved.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchApprovePublisherConnectionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest","doc":"A request to reject a batch of publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - Required. The names of the publishers with whom connection will be rejected. In the pattern `bidders/{bidder}/publisherConnections/{publisher}` where `{bidder}` is the account ID of the bidder, and `{publisher}` is the ads.txt/app-ads.txt publisher ID.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse","doc":"A response for the request to reject a batch of publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse","doc":"*   `publisherConnections` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.t)`, *default:* `nil`) - The publisher connections that have been rejected.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.BatchRejectPublisherConnectionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.Bidder","doc":"Bidder settings.","ref":"GoogleApi.RealTimeBidding.V1.Model.Bidder.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.Bidder","doc":"*   `bypassNonguaranteedDealsPretargeting` (*type:* `boolean()`, *default:* `nil`) - Output only. An option to bypass pretargeting for private auctions and preferred deals. When true, bid requests from these nonguaranteed deals will always be sent. When false, bid requests will be subject to regular pretargeting configurations. Programmatic Guaranteed deals will always be sent to the bidder, regardless of the value for this flag. Auction packages are not impacted by this value and are subject to the regular pretargeting configurations.\n*   `cookieMatchingNetworkId` (*type:* `String.t`, *default:* `nil`) - Output only. The buyer's network ID used for cookie matching. This ID corresponds to the `google_nid` parameter in the URL used in cookie match requests. Refer to https://developers.google.com/authorized-buyers/rtb/cookie-guide for further information.\n*   `cookieMatchingUrl` (*type:* `String.t`, *default:* `nil`) - Output only. The base URL used in cookie match requests. Refer to https://developers.google.com/authorized-buyers/rtb/cookie-guide for further information.\n*   `dealsBillingId` (*type:* `String.t`, *default:* `nil`) - Output only. The billing ID for the deals pretargeting config. This billing ID is sent on the bid request for guaranteed and nonguaranteed deals matched in pretargeting.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the bidder resource that must follow the pattern `bidders/{bidderAccountId}`, where `{bidderAccountId}` is the account ID of the bidder whose information is to be received. One can get their account ID on the Authorized Buyers or Open Bidding UI, or by contacting their Google account manager.","ref":"GoogleApi.RealTimeBidding.V1.Model.Bidder.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.Bidder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.Bidder.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.Bidder.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Bidder.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.Buyer","doc":"RTB Buyer account information.","ref":"GoogleApi.RealTimeBidding.V1.Model.Buyer.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.Buyer","doc":"*   `activeCreativeCount` (*type:* `String.t`, *default:* `nil`) - Output only. The number of creatives that this buyer submitted through the API or bid with in the last 30 days. This is counted against the maximum number of active creatives.\n*   `bidder` (*type:* `String.t`, *default:* `nil`) - Output only. The name of the bidder resource that is responsible for receiving bidding traffic for this account. The bidder name must follow the pattern `bidders/{bidderAccountId}`, where `{bidderAccountId}` is the account ID of the bidder receiving traffic for this buyer.\n*   `billingIds` (*type:* `list(String.t)`, *default:* `nil`) - Output only. A list of billing IDs associated with this account. These IDs appear on: 1. A bid request, to signal which buyers are eligible to bid on a given opportunity, and which pretargeting configurations were matched for each eligible buyer. 2. The bid response, to attribute a winning impression to a specific account for billing, reporting, policy and publisher block enforcement.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. The diplay name associated with this buyer account, as visible to sellers.\n*   `maximumActiveCreativeCount` (*type:* `String.t`, *default:* `nil`) - Output only. The maximum number of active creatives that this buyer can have.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the buyer resource that must follow the pattern `buyers/{buyerAccountId}`, where `{buyerAccountId}` is the account ID of the buyer account whose information is to be received. One can get their account ID on the Authorized Buyers or Open Bidding UI, or by contacting their Google account manager.","ref":"GoogleApi.RealTimeBidding.V1.Model.Buyer.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.Buyer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.Buyer.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.Buyer.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Buyer.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest","doc":"A request to close a specified user list.","ref":"GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.CloseUserListRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.Creative","doc":"A creative and its classification data.","ref":"GoogleApi.RealTimeBidding.V1.Model.Creative.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.Creative","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Output only. ID of the buyer account that this creative is owned by. Can be used to filter the response of the creatives.list method with equality and inequality check.\n*   `adChoicesDestinationUrl` (*type:* `String.t`, *default:* `nil`) - The link to AdChoices destination page. This is only supported for native ads.\n*   `advertiserName` (*type:* `String.t`, *default:* `nil`) - The name of the company being advertised in the creative. Can be used to filter the response of the creatives.list method.\n*   `agencyId` (*type:* `String.t`, *default:* `nil`) - The agency ID for this creative.\n*   `apiUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last update timestamp of the creative through the API.\n*   `creativeFormat` (*type:* `String.t`, *default:* `nil`) - Output only. The format of this creative. Can be used to filter the response of the creatives.list method.\n*   `creativeId` (*type:* `String.t`, *default:* `nil`) - Buyer-specific creative ID that references this creative in bid responses. This field is Ignored in update operations. Can be used to filter the response of the creatives.list method. The maximum length of the creative ID is 128 bytes.\n*   `creativeServingDecision` (*type:* `GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision.t`, *default:* `nil`) - Output only. Top level status and detected attributes of a creative (for example domain, language, advertiser, product category, etc.) that affect whether (status) and where (context) a creative will be allowed to serve.\n*   `dealIds` (*type:* `list(String.t)`, *default:* `nil`) - Output only. IDs of all of the deals with which this creative has been used in bidding. Can be used to filter the response of the creatives.list method.\n*   `declaredAttributes` (*type:* `list(String.t)`, *default:* `nil`) - All declared attributes for the ads that may be shown from this creative. Can be used to filter the response of the creatives.list method. If the `excluded_attribute` field of a [bid request](https://developers.google.com/authorized-buyers/rtb/downloads/realtime-bidding-proto\") contains one of the attributes that were declared or detected for a given creative, and a bid is submitted with that creative, the bid will be filtered before the auction.\n*   `declaredClickThroughUrls` (*type:* `list(String.t)`, *default:* `nil`) - The set of declared destination URLs for the creative. Can be used to filter the response of the creatives.list method.\n*   `declaredRestrictedCategories` (*type:* `list(String.t)`, *default:* `nil`) - All declared restricted categories for the ads that may be shown from this creative. Can be used to filter the response of the creatives.list method.\n*   `declaredVendorIds` (*type:* `list(integer())`, *default:* `nil`) - IDs for the declared ad technology vendors that may be used by this creative. See https://storage.googleapis.com/adx-rtb-dictionaries/vendors.txt for possible values. Can be used to filter the response of the creatives.list method.\n*   `html` (*type:* `GoogleApi.RealTimeBidding.V1.Model.HtmlContent.t`, *default:* `nil`) - An HTML creative.\n*   `impressionTrackingUrls` (*type:* `list(String.t)`, *default:* `nil`) - The set of URLs to be called to record an impression.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the creative. Follows the pattern `buyers/{buyer}/creatives/{creative}`, where `{buyer}` represents the account ID of the buyer who owns the creative, and `{creative}` is the buyer-specific creative ID that references this creative in the bid response.\n*   `native` (*type:* `GoogleApi.RealTimeBidding.V1.Model.NativeContent.t`, *default:* `nil`) - A native creative.\n*   `renderUrl` (*type:* `String.t`, *default:* `nil`) - Experimental field that can be used during the [FLEDGE Origin Trial](/authorized-buyers/rtb/fledge-origin-trial). The URL to fetch an interest group ad used in [TURTLEDOVE on-device auction](https://github.com/WICG/turtledove/blob/main/FLEDGE.md#1-browsers-record-interest-groups\"). This should be unique among all creatives for a given `accountId`. This URL should be the same as the URL returned by [generateBid()](https://github.com/WICG/turtledove/blob/main/FLEDGE.md#32-on-device-bidding).\n*   `restrictedCategories` (*type:* `list(String.t)`, *default:* `nil`) - All restricted categories for the ads that may be shown from this creative.\n*   `version` (*type:* `integer()`, *default:* `nil`) - Output only. The version of the creative. Version for a new creative is 1 and it increments during subsequent creative updates.\n*   `video` (*type:* `GoogleApi.RealTimeBidding.V1.Model.VideoContent.t`, *default:* `nil`) - A video creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.Creative.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.Creative.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.Creative.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.Creative.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Creative.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions","doc":"The dimensions of a creative. This applies to only HTML and Native creatives.","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions","doc":"*   `height` (*type:* `String.t`, *default:* `nil`) - The height of the creative in pixels.\n*   `width` (*type:* `String.t`, *default:* `nil`) - The width of the creative in pixels.","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision","doc":"Top level status and detected attributes of a creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision","doc":"*   `adTechnologyProviders` (*type:* `GoogleApi.RealTimeBidding.V1.Model.AdTechnologyProviders.t`, *default:* `nil`) - The detected ad technology providers.\n*   `chinaPolicyCompliance` (*type:* `GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.t`, *default:* `nil`) - The policy compliance of this creative in China. When approved or disapproved, this applies to both deals and open auction in China. When pending review, this creative is allowed to serve for deals but not for open auction.\n*   `dealsPolicyCompliance` (*type:* `GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.t`, *default:* `nil`) - Policy compliance of this creative when bidding on Programmatic Guaranteed and Preferred Deals (outside of Russia and China).\n*   `detectedAdvertisers` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.AdvertiserAndBrand.t)`, *default:* `nil`) - Detected advertisers and brands.\n*   `detectedAttributes` (*type:* `list(String.t)`, *default:* `nil`) - Publisher-excludable attributes that were detected for this creative. Can be used to filter the response of the creatives.list method. If the `excluded_attribute` field of a [bid request](https://developers.google.com/authorized-buyers/rtb/downloads/realtime-bidding-proto) contains one of the attributes that were declared or detected for a given creative, and a bid is submitted with that creative, the bid will be filtered before the auction.\n*   `detectedCategories` (*type:* `list(String.t)`, *default:* `nil`) - Output only. IDs of the detected categories, if any. The taxonomy in which the categories are expressed is specified by the detected_categories_taxonomy field. Can be used to filter the response of the creatives.list method.\n*   `detectedCategoriesTaxonomy` (*type:* `String.t`, *default:* `nil`) - Output only. The taxonomy in which the detected_categories field is expressed.\n*   `detectedClickThroughUrls` (*type:* `list(String.t)`, *default:* `nil`) - The set of detected destination URLs for the creative. Can be used to filter the response of the creatives.list method.\n*   `detectedDomains` (*type:* `list(String.t)`, *default:* `nil`) - The detected domains for this creative.\n*   `detectedLanguages` (*type:* `list(String.t)`, *default:* `nil`) - The detected languages for this creative. The order is arbitrary. The codes are 2 or 5 characters and are documented at https://developers.google.com/adwords/api/docs/appendix/languagecodes. Can be used to filter the response of the creatives.list method.\n*   `detectedProductCategories` (*type:* `list(integer())`, *default:* `nil`) - Detected product categories, if any. See the ad-product-categories.txt file in the technical documentation for a list of IDs. Can be used to filter the response of the creatives.list method.\n*   `detectedSensitiveCategories` (*type:* `list(integer())`, *default:* `nil`) - Detected sensitive categories, if any. Can be used to filter the response of the creatives.list method. See the ad-sensitive-categories.txt file in the technical documentation for a list of IDs. You should use these IDs along with the excluded-sensitive-category field in the bid request to filter your bids.\n*   `detectedVendorIds` (*type:* `list(integer())`, *default:* `nil`) - IDs of the ad technology vendors that were detected to be used by this creative. See https://storage.googleapis.com/adx-rtb-dictionaries/vendors.txt for possible values. Can be used to filter the response of the creatives.list method. If the `allowed_vendor_type` field of a [bid request](https://developers.google.com/authorized-buyers/rtb/downloads/realtime-bidding-proto) does not contain one of the vendor type IDs that were declared or detected for a given creative, and a bid is submitted with that creative, the bid will be filtered before the auction.\n*   `lastStatusUpdate` (*type:* `DateTime.t`, *default:* `nil`) - The last time the creative status was updated. Can be used to filter the response of the creatives.list method.\n*   `networkPolicyCompliance` (*type:* `GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.t`, *default:* `nil`) - Policy compliance of this creative when bidding in open auction, private auction, or auction packages (outside of Russia and China).\n*   `platformPolicyCompliance` (*type:* `GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.t`, *default:* `nil`) - Policy compliance of this creative when bidding in Open Bidding (outside of Russia and China). For the list of platform policies, see: https://support.google.com/platformspolicy/answer/3013851.\n*   `russiaPolicyCompliance` (*type:* `GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.t`, *default:* `nil`) - The policy compliance of this creative in Russia. When approved or disapproved, this applies to both deals and open auction in Russia. When pending review, this creative is allowed to serve for deals but not for open auction.","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.CreativeServingDecision.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.Date","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.RealTimeBidding.V1.Model.Date.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.Date","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.RealTimeBidding.V1.Model.Date.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.Date.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.Date.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.Date.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Date.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence","doc":"Evidence that the creative's destination URL was not crawlable by Google.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence","doc":"*   `crawlTime` (*type:* `DateTime.t`, *default:* `nil`) - Approximate time of the crawl.\n*   `crawledUrl` (*type:* `String.t`, *default:* `nil`) - Destination URL that was attempted to be crawled.\n*   `reason` (*type:* `String.t`, *default:* `nil`) - Reason of destination not crawlable.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence","doc":"Evidence of the creative's destination URL not functioning properly or having been incorrectly set up.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence","doc":"*   `dnsError` (*type:* `String.t`, *default:* `nil`) - DNS lookup errors.\n*   `expandedUrl` (*type:* `String.t`, *default:* `nil`) - The full non-working URL.\n*   `httpError` (*type:* `integer()`, *default:* `nil`) - HTTP error code (for example, 404 or 5xx)\n*   `invalidPage` (*type:* `String.t`, *default:* `nil`) - Page was crawled successfully, but was detected as either a page with no content or an error page.\n*   `lastCheckTime` (*type:* `DateTime.t`, *default:* `nil`) - Approximate time when the ad destination was last checked.\n*   `platform` (*type:* `String.t`, *default:* `nil`) - Platform of the non-working URL.\n*   `redirectionError` (*type:* `String.t`, *default:* `nil`) - HTTP redirect chain error.\n*   `urlRejected` (*type:* `String.t`, *default:* `nil`) - Rejected because of malformed URLs or invalid requests.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence","doc":"The full landing page URL of the destination.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence","doc":"*   `destinationUrl` (*type:* `String.t`, *default:* `nil`) - The full landing page URL of the destination.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence","doc":"Number of HTTP calls made by a creative, broken down by domain.","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence","doc":"*   `topHttpCallDomains` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.DomainCalls.t)`, *default:* `nil`) - Breakdown of the most frequent domains called through HTTP by the creative.\n*   `totalHttpCallCount` (*type:* `integer()`, *default:* `nil`) - The total number of HTTP calls made by the creative, including but not limited to the number of calls in the top_http_call_domains.","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.DomainCalls","doc":"The number of HTTP calls made to the given domain.","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCalls.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.DomainCalls","doc":"*   `domain` (*type:* `String.t`, *default:* `nil`) - The domain name.\n*   `httpCallCount` (*type:* `integer()`, *default:* `nil`) - Number of HTTP calls made to the domain.","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCalls.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.DomainCalls.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCalls.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.DomainCalls.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.DomainCalls.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence","doc":"Total download size and URL-level download size breakdown for resources in a creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence","doc":"*   `topUrlDownloadSizeBreakdowns` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize.t)`, *default:* `nil`) - Download size broken down by URLs with the top download size.\n*   `totalDownloadSizeKb` (*type:* `integer()`, *default:* `nil`) - Total download size (in kilobytes) for all the resources in the creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.RealTimeBidding.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.Empty","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.Endpoint","doc":"Bidder endpoint that receives bid requests.","ref":"GoogleApi.RealTimeBidding.V1.Model.Endpoint.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.Endpoint","doc":"*   `bidProtocol` (*type:* `String.t`, *default:* `nil`) - The protocol that the bidder endpoint is using.\n*   `maximumQps` (*type:* `String.t`, *default:* `nil`) - The maximum number of queries per second allowed to be sent to this server.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the endpoint resource that must follow the pattern `bidders/{bidderAccountId}/endpoints/{endpointId}`, where {bidderAccountId} is the account ID of the bidder who operates this endpoint, and {endpointId} is a unique ID assigned by the server.\n*   `tradingLocation` (*type:* `String.t`, *default:* `nil`) - The trading location that bid requests should be sent from. See https://developers.google.com/authorized-buyers/rtb/peer-guide#trading-locations for further information.\n*   `url` (*type:* `String.t`, *default:* `nil`) - Output only. The URL that bid requests should be sent to.","ref":"GoogleApi.RealTimeBidding.V1.Model.Endpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.Endpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.Endpoint.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.Endpoint.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Endpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse","doc":"This has been sunset as of October 2023, and will return an error response if called. For more information, see the release notes: https://developers.google.com/authorized-buyers/apis/relnotes#real-time-bidding-api Response for a request to get remarketing tag.","ref":"GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse","doc":"*   `snippet` (*type:* `String.t`, *default:* `nil`) - An HTML tag that can be placed on the advertiser's page to add users to a user list. For more information and code samples on using snippets on your website, refer to [Tag your site for remarketing](https://support.google.com/google-ads/answer/2476688).","ref":"GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.GetRemarketingTagResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.HtmlContent","doc":"HTML content for a creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.HtmlContent.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.HtmlContent","doc":"*   `height` (*type:* `integer()`, *default:* `nil`) - The height of the HTML snippet in pixels. Can be used to filter the response of the creatives.list method.\n*   `snippet` (*type:* `String.t`, *default:* `nil`) - The HTML snippet that displays the ad when inserted in the web page.\n*   `width` (*type:* `integer()`, *default:* `nil`) - The width of the HTML snippet in pixels. Can be used to filter the response of the creatives.list method.","ref":"GoogleApi.RealTimeBidding.V1.Model.HtmlContent.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.HtmlContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.HtmlContent.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.HtmlContent.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.HtmlContent.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence","doc":"HTTP calls made by a creative that resulted in policy violations.","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence","doc":"*   `urls` (*type:* `list(String.t)`, *default:* `nil`) - URLs of HTTP calls made by the creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence","doc":"Evidence for HTTP cookie-related policy violations.","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence","doc":"*   `cookieNames` (*type:* `list(String.t)`, *default:* `nil`) - Names of cookies that violate Google policies. For TOO_MANY_COOKIES policy, this will be the cookie names of top domains with the largest number of cookies. For other policies, this will be all the cookie names that violate the policy.\n*   `maxCookieCount` (*type:* `integer()`, *default:* `nil`) - The largest number of cookies set by a creative. If this field is set, cookie_names above will be set to the cookie names of top domains with the largest number of cookies. This field will only be set for TOO_MANY_COOKIES policy.","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.Image","doc":"An image resource. You may provide a larger image than was requested, so long as the aspect ratio is preserved.","ref":"GoogleApi.RealTimeBidding.V1.Model.Image.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.Image","doc":"*   `height` (*type:* `integer()`, *default:* `nil`) - Image height in pixels.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The URL of the image.\n*   `width` (*type:* `integer()`, *default:* `nil`) - Image width in pixels.","ref":"GoogleApi.RealTimeBidding.V1.Model.Image.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.Image.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.Image.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.Image.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.Image.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse","doc":"A response containing bidders.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse","doc":"*   `bidders` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.Bidder.t)`, *default:* `nil`) - List of bidders.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token which can be passed to a subsequent call to the `ListBidders` method to retrieve the next page of results in ListBiddersRequest.pageToken.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBiddersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse","doc":"A response containing buyer account information.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse","doc":"*   `buyers` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.Buyer.t)`, *default:* `nil`) - List of buyers.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token which can be passed to a subsequent call to the `ListBuyers` method to retrieve the next page of results in ListBuyersRequest.pageToken.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ListBuyersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse","doc":"A response for listing creatives.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse","doc":"*   `creatives` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.Creative.t)`, *default:* `nil`) - The list of creatives.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass this value in the ListCreativesRequest.pageToken field in the subsequent call to the `ListCreatives` method to retrieve the next page of results.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ListCreativesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse","doc":"A response containing bidder endpoints.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse","doc":"*   `endpoints` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.Endpoint.t)`, *default:* `nil`) - List of bidder endpoints.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token which can be passed to a subsequent call to the `ListEndpoints` method to retrieve the next page of results in ListEndpointsRequest.pageToken.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ListEndpointsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse","doc":"A response containing pretargeting configurations.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token which can be passed to a subsequent call to the `ListPretargetingConfigs` method to retrieve the next page of results in ListPretargetingConfigsRequest.pageToken.\n*   `pretargetingConfigs` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.t)`, *default:* `nil`) - List of pretargeting configurations.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPretargetingConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse","doc":"A response to a request for listing publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass this value in the ListPublisherConnectionsRequest.pageToken field in the subsequent call to the `ListPublisherConnections` method to retrieve the next page of results.\n*   `publisherConnections` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.t)`, *default:* `nil`) - The list of publisher connections.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ListPublisherConnectionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse","doc":"The list user list response.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The continuation page token to send back to the server in a subsequent request. Due to a currently known issue, it is recommended that the caller keep invoking the list method until the time a next page token is not returned, even if the result set is empty.\n*   `userLists` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.UserList.t)`, *default:* `nil`) - List of user lists from the search.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.ListUserListsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.MediaFile","doc":"Information about each media file in the VAST.","ref":"GoogleApi.RealTimeBidding.V1.Model.MediaFile.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.MediaFile","doc":"*   `bitrate` (*type:* `String.t`, *default:* `nil`) - Bitrate of the video file, in Kbps. Can be used to filter the response of the creatives.list method.\n*   `mimeType` (*type:* `String.t`, *default:* `nil`) - The MIME type of this media file. Can be used to filter the response of the creatives.list method.","ref":"GoogleApi.RealTimeBidding.V1.Model.MediaFile.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.MediaFile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.MediaFile.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.MediaFile.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.MediaFile.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.NativeContent","doc":"Native content for a creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.NativeContent.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.NativeContent","doc":"*   `advertiserName` (*type:* `String.t`, *default:* `nil`) - The name of the advertiser or sponsor, to be displayed in the ad creative.\n*   `appIcon` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Image.t`, *default:* `nil`) - The app icon, for app download ads.\n*   `body` (*type:* `String.t`, *default:* `nil`) - A long description of the ad.\n*   `callToAction` (*type:* `String.t`, *default:* `nil`) - A label for the button that the user is supposed to click.\n*   `clickLinkUrl` (*type:* `String.t`, *default:* `nil`) - The URL that the browser/SDK will load when the user clicks the ad.\n*   `clickTrackingUrl` (*type:* `String.t`, *default:* `nil`) - The URL to use for click tracking.\n*   `headline` (*type:* `String.t`, *default:* `nil`) - A short title for the ad.\n*   `image` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Image.t`, *default:* `nil`) - A large image.\n*   `logo` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Image.t`, *default:* `nil`) - A smaller image, for the advertiser's logo.\n*   `priceDisplayText` (*type:* `String.t`, *default:* `nil`) - The price of the promoted app including currency info.\n*   `starRating` (*type:* `float()`, *default:* `nil`) - The app rating in the app store. Must be in the range [0-5].\n*   `videoUrl` (*type:* `String.t`, *default:* `nil`) - The URL to fetch a native video ad.\n*   `videoVastXml` (*type:* `String.t`, *default:* `nil`) - The contents of a VAST document for a native video ad.","ref":"GoogleApi.RealTimeBidding.V1.Model.NativeContent.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.NativeContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.NativeContent.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.NativeContent.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.NativeContent.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension","doc":"Generic targeting used for targeting dimensions that contain a list of included and excluded numeric IDs used in app, user list, geo, and vertical id targeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension","doc":"*   `excludedIds` (*type:* `list(String.t)`, *default:* `nil`) - The IDs excluded in a configuration.\n*   `includedIds` (*type:* `list(String.t)`, *default:* `nil`) - The IDs included in a configuration.","ref":"GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest","doc":"A request to open a specified user list.","ref":"GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.OpenUserListRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance","doc":"Policy compliance of the creative for a transaction type or a region.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance","doc":"*   `status` (*type:* `String.t`, *default:* `nil`) - Serving status for the given transaction type (for example, open auction, deals) or region (for example, China, Russia). Can be used to filter the response of the creatives.list method.\n*   `topics` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry.t)`, *default:* `nil`) - Topics related to the policy compliance for this transaction type (for example, open auction, deals) or region (for example, China, Russia). Topics may be present only if status is DISAPPROVED.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyCompliance.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry","doc":"Each policy topic entry will represent a violation of a policy topic for a creative, with the policy topic information and optional evidence for the policy violation.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry","doc":"*   `evidences` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence.t)`, *default:* `nil`) - Pieces of evidence associated with this policy topic entry.\n*   `helpCenterUrl` (*type:* `String.t`, *default:* `nil`) - URL of the help center article describing this policy topic.\n*   `missingCertificate` (*type:* `boolean()`, *default:* `nil`) - Whether or not the policy topic is missing a certificate. Some policy topics require a certificate to unblock serving in some regions. For more information about creative certification, refer to: https://support.google.com/authorizedbuyers/answer/7450776\n*   `policyTopic` (*type:* `String.t`, *default:* `nil`) - Policy topic this entry refers to. For example, \"ALCOHOL\", \"TRADEMARKS_IN_AD_TEXT\", or \"DESTINATION_NOT_WORKING\". The set of possible policy topics is not fixed for a particular API version and may change at any time. Can be used to filter the response of the creatives.list method","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence","doc":"Evidence associated with a policy topic entry.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence","doc":"*   `destinationNotCrawlable` (*type:* `GoogleApi.RealTimeBidding.V1.Model.DestinationNotCrawlableEvidence.t`, *default:* `nil`) - The creative's destination URL was not crawlable by Google.\n*   `destinationNotWorking` (*type:* `GoogleApi.RealTimeBidding.V1.Model.DestinationNotWorkingEvidence.t`, *default:* `nil`) - The creative's destination URL did not function properly or was incorrectly set up.\n*   `destinationUrl` (*type:* `GoogleApi.RealTimeBidding.V1.Model.DestinationUrlEvidence.t`, *default:* `nil`) - URL of the actual landing page.\n*   `domainCall` (*type:* `GoogleApi.RealTimeBidding.V1.Model.DomainCallEvidence.t`, *default:* `nil`) - Number of HTTP calls made by the creative, broken down by domain.\n*   `downloadSize` (*type:* `GoogleApi.RealTimeBidding.V1.Model.DownloadSizeEvidence.t`, *default:* `nil`) - Total download size and URL-level download size breakdown for resources in a creative.\n*   `httpCall` (*type:* `GoogleApi.RealTimeBidding.V1.Model.HttpCallEvidence.t`, *default:* `nil`) - HTTP calls made by the creative that resulted in policy violations.\n*   `httpCookie` (*type:* `GoogleApi.RealTimeBidding.V1.Model.HttpCookieEvidence.t`, *default:* `nil`) - Evidence for HTTP cookie-related policy violations.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.PolicyTopicEvidence.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig","doc":"Pretargeting configuration: a set of targeting dimensions applied at the pretargeting stage of the RTB funnel. These control which inventory a bidder will receive bid requests for.","ref":"GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig","doc":"*   `allowedUserTargetingModes` (*type:* `list(String.t)`, *default:* `nil`) - Targeting modes included by this configuration. A bid request must allow all the specified targeting modes. An unset value allows all bid requests to be sent, regardless of which targeting modes they allow.\n*   `appTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.AppTargeting.t`, *default:* `nil`) - Targeting on a subset of app inventory. If APP is listed in targeted_environments, the specified targeting is applied. A maximum of 30,000 app IDs can be targeted. An unset value for targeting allows all app-based bid requests to be sent. Apps can either be targeting positively (bid requests will be sent only if the destination app is listed in the targeting dimension) or negatively (bid requests will be sent only if the destination app is not listed in the targeting dimension).\n*   `billingId` (*type:* `String.t`, *default:* `nil`) - Output only. The identifier that corresponds to this pretargeting configuration that helps buyers track and attribute their spend across their own arbitrary divisions. If a bid request matches more than one configuration, the buyer chooses which billing_id to attribute each of their bids.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The diplay name associated with this configuration. This name must be unique among all the pretargeting configurations a bidder has.\n*   `excludedContentLabelIds` (*type:* `list(String.t)`, *default:* `nil`) - The sensitive content category label IDs excluded in this configuration. Bid requests for inventory with any of the specified content label IDs will not be sent. Refer to this file https://storage.googleapis.com/adx-rtb-dictionaries/content-labels.txt for category IDs.\n*   `geoTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.t`, *default:* `nil`) - The geos included or excluded in this configuration defined in https://storage.googleapis.com/adx-rtb-dictionaries/geo-table.csv\n*   `includedCreativeDimensions` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.CreativeDimensions.t)`, *default:* `nil`) - Creative dimensions included by this configuration. Only bid requests eligible for at least one of the specified creative dimensions will be sent. An unset value allows all bid requests to be sent, regardless of creative dimension.\n*   `includedEnvironments` (*type:* `list(String.t)`, *default:* `nil`) - Environments that are being included. Bid requests will not be sent for a given environment if it is not included. Further restrictions can be applied to included environments to target only a subset of its inventory. An unset value includes all environments.\n*   `includedFormats` (*type:* `list(String.t)`, *default:* `nil`) - Creative formats included by this configuration. Only bid requests eligible for at least one of the specified creative formats will be sent. An unset value will allow all bid requests to be sent, regardless of format.\n*   `includedLanguages` (*type:* `list(String.t)`, *default:* `nil`) - The languages included in this configuration, represented by their language code. See https://developers.google.com/adwords/api/docs/appendix/languagecodes.\n*   `includedMobileOperatingSystemIds` (*type:* `list(String.t)`, *default:* `nil`) - The mobile operating systems included in this configuration as defined in https://storage.googleapis.com/adx-rtb-dictionaries/mobile-os.csv\n*   `includedPlatforms` (*type:* `list(String.t)`, *default:* `nil`) - The platforms included by this configration. Bid requests for devices with the specified platform types will be sent. An unset value allows all bid requests to be sent, regardless of platform.\n*   `includedUserIdTypes` (*type:* `list(String.t)`, *default:* `nil`) - User identifier types included in this configuration. At least one of the user identifier types specified in this list must be available for the bid request to be sent.\n*   `interstitialTargeting` (*type:* `String.t`, *default:* `nil`) - The interstitial targeting specified for this configuration. The unset value will allow bid requests to be sent regardless of whether they are for interstitials or not.\n*   `invalidGeoIds` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Existing included or excluded geos that are invalid. Previously targeted geos may become invalid due to privacy restrictions.\n*   `maximumQps` (*type:* `String.t`, *default:* `nil`) - The maximum QPS threshold for this configuration. The bidder should receive no more than this number of bid requests matching this configuration per second across all their bidding endpoints among all trading locations. Further information available at https://developers.google.com/authorized-buyers/rtb/peer-guide\n*   `minimumViewabilityDecile` (*type:* `integer()`, *default:* `nil`) - The targeted minimum viewability decile, ranging in values [0, 10]. A value of 5 means that the configuration will only match adslots for which we predict at least 50% viewability. Values > 10 will be rounded down to 10. An unset value or a value of 0 indicates that bid requests will be sent regardless of viewability.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the pretargeting configuration that must follow the pattern `bidders/{bidder_account_id}/pretargetingConfigs/{config_id}`\n*   `publisherTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.t`, *default:* `nil`) - Targeting on a subset of publisher inventory. Publishers can either be targeted positively (bid requests will be sent only if the publisher is listed in the targeting dimension) or negatively (bid requests will be sent only if the publisher is not listed in the targeting dimension). A maximum of 10,000 publisher IDs can be targeted. Publisher IDs are found in [ads.txt](https://iabtechlab.com/ads-txt/) / [app-ads.txt](https://iabtechlab.com/app-ads-txt/) and in bid requests in the `BidRequest.publisher_id` field on the [Google RTB protocol](https://developers.google.com/authorized-buyers/rtb/downloads/realtime-bidding-proto) or the `BidRequest.site.publisher.id` / `BidRequest.app.publisher.id` field on the [OpenRTB protocol](https://developers.google.com/authorized-buyers/rtb/downloads/openrtb-adx-proto). Publisher IDs will be returned in the order that they were entered.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The state of this pretargeting configuration.\n*   `userListTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.t`, *default:* `nil`) - The remarketing lists included or excluded in this configuration as defined in UserList.\n*   `verticalTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.NumericTargetingDimension.t`, *default:* `nil`) - The verticals included or excluded in this configuration as defined in https://developers.google.com/authorized-buyers/rtb/downloads/publisher-verticals\n*   `webTargeting` (*type:* `GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.t`, *default:* `nil`) - Targeting on a subset of site inventory. If WEB is listed in included_environments, the specified targeting is applied. A maximum of 50,000 site URLs can be targeted. An unset value for targeting allows all web-based bid requests to be sent. Sites can either be targeting positively (bid requests will be sent only if the destination site is listed in the targeting dimension) or negatively (bid requests will be sent only if the destination site is not listed in the pretargeting configuration).","ref":"GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.PretargetingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.PublisherConnection","doc":"An Open Bidding exchange's connection to a publisher. This is initiated by the publisher for the bidder to review. If approved by the bidder, this means that the bidder agrees to receive bid requests from the publisher.","ref":"GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.PublisherConnection","doc":"*   `biddingState` (*type:* `String.t`, *default:* `nil`) - Whether the publisher has been approved by the bidder.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the publisher initiated a connection with the bidder (irrespective of if or when the bidder approves it). This is subsequently updated if the publisher revokes and re-initiates the connection.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. Publisher display name.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the publisher connection. This follows the pattern `bidders/{bidder}/publisherConnections/{publisher}`, where `{bidder}` represents the account ID of the bidder, and `{publisher}` is the ads.txt/app-ads.txt publisher ID.\n*   `publisherPlatform` (*type:* `String.t`, *default:* `nil`) - Output only. Whether the publisher is an Ad Manager or AdMob publisher.","ref":"GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.PublisherConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest","doc":"A request to stop targeting the provided apps in a specific pretargeting configuration. The pretargeting configuration itself specifies how these apps are targeted. in PretargetingConfig.appTargeting.mobileAppTargeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest","doc":"*   `appIds` (*type:* `list(String.t)`, *default:* `nil`) - A list of app IDs to stop targeting in the pretargeting configuration. These values will be removed from the list of targeted app IDs in PretargetingConfig.appTargeting.mobileAppTargeting.values.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedAppsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest","doc":"A request to stop targeting publishers in a specific configuration. The pretargeting configuration itself specifies how these publishers are targeted in PretargetingConfig.publisherTargeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest","doc":"*   `publisherIds` (*type:* `list(String.t)`, *default:* `nil`) - A list of publisher IDs to stop targeting in the pretargeting configuration. These values will be removed from the list of targeted publisher IDs in PretargetingConfig.publisherTargeting.values. Publishers are identified by their publisher ID from ads.txt / app-ads.txt. See https://iabtechlab.com/ads-txt/ and https://iabtechlab.com/app-ads-txt/ for more details.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedPublishersRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest","doc":"A request to stop targeting sites in a specific pretargeting configuration. The pretargeting configuration itself specifies how these sites are targeted in PretargetingConfig.webTargeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest","doc":"*   `sites` (*type:* `list(String.t)`, *default:* `nil`) - A list of site URLs to stop targeting in the pretargeting configuration. These values will be removed from the list of targeted URLs in PretargetingConfig.webTargeting.values.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.RemoveTargetedSitesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension","doc":"Generic targeting with string values used in app, website and publisher targeting.","ref":"GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension","doc":"*   `targetingMode` (*type:* `String.t`, *default:* `nil`) - How the items in this list should be targeted.\n*   `values` (*type:* `list(String.t)`, *default:* `nil`) - The values specified.","ref":"GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.StringTargetingDimension.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest","doc":"A request to suspend a pretargeting configuration. Sets the configuration's state to SUSPENDED.","ref":"GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.SuspendPretargetingConfigRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize","doc":"The URL-level breakdown for the download size.","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize","doc":"*   `downloadSizeKb` (*type:* `integer()`, *default:* `nil`) - Download size of the URL in kilobytes.\n*   `normalizedUrl` (*type:* `String.t`, *default:* `nil`) - The normalized URL with query parameters and fragment removed.","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlDownloadSize.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.UrlRestriction","doc":"Deprecated. This will be removed in October 2023. For more information, see the release notes: https://developers.google.com/authorized-buyers/apis/relnotes#real-time-bidding-api Represents the URL restriction (for the URL captured by the pixel callback) for a user list.","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlRestriction.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.UrlRestriction","doc":"*   `endDate` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Date.t`, *default:* `nil`) - End date (if specified) of the URL restriction. End date should be later than the start date for the date range to be valid.\n*   `restrictionType` (*type:* `String.t`, *default:* `nil`) - The restriction type for the specified URL.\n*   `startDate` (*type:* `GoogleApi.RealTimeBidding.V1.Model.Date.t`, *default:* `nil`) - Start date (if specified) of the URL restriction.\n*   `url` (*type:* `String.t`, *default:* `nil`) - Required. The URL to use for applying the restriction on the user list.","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlRestriction.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.UrlRestriction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlRestriction.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.UrlRestriction.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.UrlRestriction.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.UserList","doc":"Represents an Authorized Buyers user list. Authorized Buyers can create/update/list user lists. Once a user list is created in the system, Authorized Buyers can add users to the user list using the bulk uploader API. Alternatively, users can be added by hosting a tag on the advertiser's page.","ref":"GoogleApi.RealTimeBidding.V1.Model.UserList.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.UserList","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The description for the user list.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. Display name of the user list. This must be unique across all user lists for a given account.\n*   `membershipDurationDays` (*type:* `String.t`, *default:* `nil`) - Required. The number of days a user's cookie stays on the user list. The field must be between 0 and 540 inclusive.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the user list that must follow the pattern `buyers/{buyer}/userLists/{user_list}`, where `{buyer}` represents the account ID of the buyer who owns the user list. For a bidder accessing user lists on behalf of a child seat buyer, `{buyer}` represents the account ID of the child seat buyer. `{user_list}` is an int64 identifier assigned by Google to uniquely identify a user list.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Output only. The status of the user list. A new user list starts out as open.\n*   `urlRestriction` (*type:* `GoogleApi.RealTimeBidding.V1.Model.UrlRestriction.t`, *default:* `nil`) - Required. Deprecated. This will be removed in October 2023. For more information, see the release notes: https://developers.google.com/authorized-buyers/apis/relnotes#real-time-bidding-api The URL restriction for the user list.","ref":"GoogleApi.RealTimeBidding.V1.Model.UserList.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.UserList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.UserList.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.UserList.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.UserList.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.VideoContent","doc":"Video content for a creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoContent.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.VideoContent","doc":"*   `videoMetadata` (*type:* `GoogleApi.RealTimeBidding.V1.Model.VideoMetadata.t`, *default:* `nil`) - Output only. Video metadata.\n*   `videoUrl` (*type:* `String.t`, *default:* `nil`) - The URL to fetch a video ad.\n*   `videoVastXml` (*type:* `String.t`, *default:* `nil`) - The contents of a VAST document for a video ad. This document should conform to the VAST 2.0 or 3.0 standard.","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoContent.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.VideoContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoContent.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.VideoContent.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoContent.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.VideoMetadata","doc":"Video metadata for a creative.","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.VideoMetadata","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - The duration of the ad. Can be used to filter the response of the creatives.list method.\n*   `isValidVast` (*type:* `boolean()`, *default:* `nil`) - Is this a valid VAST ad? Can be used to filter the response of the creatives.list method.\n*   `isVpaid` (*type:* `boolean()`, *default:* `nil`) - Is this a VPAID ad? Can be used to filter the response of the creatives.list method.\n*   `mediaFiles` (*type:* `list(GoogleApi.RealTimeBidding.V1.Model.MediaFile.t)`, *default:* `nil`) - The list of all media files declared in the VAST. If there are multiple VASTs in a wrapper chain, this includes the media files from the deepest one in the chain.\n*   `skipOffset` (*type:* `String.t`, *default:* `nil`) - The minimum duration that the user has to watch before being able to skip this ad. If the field is not set, the ad is not skippable. If the field is set, the ad is skippable. Can be used to filter the response of the creatives.list method.\n*   `vastVersion` (*type:* `String.t`, *default:* `nil`) - The maximum VAST version across all wrapped VAST documents. Can be used to filter the response of the creatives.list method.","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.VideoMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.VideoMetadata.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.VideoMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest","doc":"A request to receive push notifications when any of the creatives belonging to the bidder changes status.","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse","doc":"A response for the request to receive push notification when a bidder's creatives change status.","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse","doc":"*   `subscription` (*type:* `String.t`, *default:* `nil`) - The Pub/Sub subscription that can be used to pull creative status notifications. This would be of the format `projects/{project_id}/subscriptions/{subscription_id}`. Subscription is created with pull delivery. All service accounts belonging to the bidder will have read access to this subscription. Subscriptions that are inactive for more than 90 days will be disabled. Use watchCreatives to re-enable the subscription.\n*   `topic` (*type:* `String.t`, *default:* `nil`) - The Pub/Sub topic that will be used to publish creative serving status notifications. This would be of the format `projects/{project_id}/topics/{topic_id}`.","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse.t/0","doc":"","ref":"GoogleApi.RealTimeBidding.V1.Model.WatchCreativesResponse.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}